<!DOCTYPE html>
<html>
  <head>
    <title></title>
  </head>
  <body>
    <h1>Timer App</h1>
    <script>
      printMsg = function (msg) {
        console.log(msg);
      };
      timeCounter = function (caller, counter) {
        for (var i = 0; i < counter; i++) {
          //Assignment , need a sleep of 1 second
          // with setTimeout or setInterval
          setInterval(function () {
            console.log(caller + " : " + i + " seconds are over after click");
          }, 1000);
        }
      };
    </script>
    <input type="button" name="" value="B1" onclick="timeCounter('B1',32)" />
    <br />
    <br />
    <input type="button" name="" value="B2" onclick="timeCounter('B2',20)" />
    <br />
    <br />
  </body>
</html>
